// Fill out your copyright notice in the Description page of Project Settings.


#include "TurnBaseCombat.h"

void ATurnBaseCombat::BeginPlay()
{
	Super::BeginPlay();

	activeActionPoints = defaultActionPoints;

}

void ATurnBaseCombat::useActionPoint()
{
	activeActionPoints -= 1;
	activeActionPoints = FMath::Clamp(activeActionPoints, 0, defaultActionPoints);
}

void ATurnBaseCombat::reuseActionPoint()
{
	activeActionPoints += 1;
	activeActionPoints = FMath::Clamp(activeActionPoints, 0, defaultActionPoints);
}

void ATurnBaseCombat::revertActionPoints()
{
	activeActionPoints = defaultActionPoints;
}

void ATurnBaseCombat::switchTurn()
{
	activeActor = (isPlayerTurn) ? enemyActor : playerActor;
}


